Oracle Linux 8:用户空间 / 图形、 / xorg-x11 / 和 / mesa (ELSA-2021-1804)

high Nessus 插件 ID 149948
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Oracle Linux 主机缺少一个或多个安全更新。

描述

远程 Oracle Linux 8 主机上安装的程序包受到 ELSA-2021-1804 公告中提及的多个漏洞的影响。

- 在 xorg-x11-server 之前的 X.Org Server 中发现缺陷1.20.9。导致堆缓冲区溢出的整数下溢可能导致特权升级漏洞。此漏洞最大的威胁在于数据机密性和完整性,以及系统可用性。(CVE-2020-14361、CVE-2020-14362)

- 在 libX11 中发现导致双重释放的整数溢出漏洞。此缺陷让本地特权攻击者可以导致使用 libX11 编译的应用程序崩溃,或在某些情况下导致任意代码执行。此缺陷最大的威胁在于数据机密性、完整性,以及系统可用性。(CVE-2020-14363)

- 在 xorg-x11-server 之前的 X.Org Server 中发现缺陷1.20.9。XkbSetNames 函数中的越界访问可能导致特权升级漏洞。此漏洞最大的威胁在于数据机密性和完整性,以及系统可用性。(CVE-2020-14345)

- 在 1.20.9 之前的 xorg-x11-server 中发现缺陷。X 服务器中 X 输入扩展协议解码中的整数下溢可能导致访问内存内容。此漏洞最大的威胁在于数据机密性和完整性,以及系统可用性。(CVE-2020-14346)

- 在 X.Org Server 1.20.10 之前的版本中发现一个缺陷。XkbSetMap 函数中的越界访问可能导会致权限升级漏洞。此漏洞最大的威胁在于数据机密性和完整性,以及系统可用性。(CVE-2020-14360)

- 在 1.20.10 之前的 xorg-x11-server 中发现缺陷。XkbSetDeviceInfo 中的堆缓冲区溢出可能会导致权限提升漏洞。此漏洞最大的威胁在于数据机密性和完整性,以及系统可用性。(CVE-2020-25712)

- 发现 xserver 内存未正确初始化的方式存在缺陷。这可能会将部分服务器内存泄漏给 X 客户端。如果 Xorg 服务器以提升的特权运行,这可能会导致 ASLR 绕过。版本低于 1.20.9 的 Xorg-server 容易受影响。(CVE-2020-14347)

- 在 1.6.10 之前的 libX11 中实现的 X Input Method (XIM) 客户端中发现了导致堆缓冲区溢出的整数溢出漏洞。根据上游版本,当 setuid 程序以升级的权限运行,并调用 XIM 客户端函数时,这与安全相关。Red Hat Enterprise Linux 没有随附此类程序。(CVE-2020-14344)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

更新受影响的程序包。

另见

https://linux.oracle.com/errata/ELSA-2021-1804.html

插件详情

严重性: High

ID: 149948

文件名: oraclelinux_ELSA-2021-1804.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2021/5/26

最近更新时间: 2021/5/26

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2020-14360

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: Medium

基本分数: 6.1

时间分数: 4.5

矢量: AV:L/AC:L/Au:N/C:P/I:P/A:C

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: High

基本分数: 7.8

时间分数: 6.8

矢量: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/o:oracle:linux:8, p-cpe:/a:oracle:linux:egl-wayland, p-cpe:/a:oracle:linux:libX11, p-cpe:/a:oracle:linux:libX11-common, p-cpe:/a:oracle:linux:libX11-devel, p-cpe:/a:oracle:linux:libX11-xcb, p-cpe:/a:oracle:linux:libdrm, p-cpe:/a:oracle:linux:libdrm-devel, p-cpe:/a:oracle:linux:libglvnd, p-cpe:/a:oracle:linux:libglvnd-core-devel, p-cpe:/a:oracle:linux:libglvnd-devel, p-cpe:/a:oracle:linux:libglvnd-egl, p-cpe:/a:oracle:linux:libglvnd-gles, p-cpe:/a:oracle:linux:libglvnd-glx, p-cpe:/a:oracle:linux:libglvnd-opengl, p-cpe:/a:oracle:linux:libinput, p-cpe:/a:oracle:linux:libinput-devel, p-cpe:/a:oracle:linux:libinput-utils, p-cpe:/a:oracle:linux:libwacom, p-cpe:/a:oracle:linux:libwacom-data, p-cpe:/a:oracle:linux:libwacom-devel, p-cpe:/a:oracle:linux:mesa-dri-drivers, p-cpe:/a:oracle:linux:mesa-filesystem, p-cpe:/a:oracle:linux:mesa-libEGL, p-cpe:/a:oracle:linux:mesa-libEGL-devel, p-cpe:/a:oracle:linux:mesa-libGL, p-cpe:/a:oracle:linux:mesa-libGL-devel, p-cpe:/a:oracle:linux:mesa-libOSMesa, p-cpe:/a:oracle:linux:mesa-libOSMesa-devel, p-cpe:/a:oracle:linux:mesa-libgbm, p-cpe:/a:oracle:linux:mesa-libgbm-devel, p-cpe:/a:oracle:linux:mesa-libglapi, p-cpe:/a:oracle:linux:mesa-libxatracker, p-cpe:/a:oracle:linux:mesa-vdpau-drivers, p-cpe:/a:oracle:linux:mesa-vulkan-devel, p-cpe:/a:oracle:linux:mesa-vulkan-drivers, p-cpe:/a:oracle:linux:xorg-x11-drivers, p-cpe:/a:oracle:linux:xorg-x11-server-Xdmx, p-cpe:/a:oracle:linux:xorg-x11-server-Xephyr, p-cpe:/a:oracle:linux:xorg-x11-server-Xnest, p-cpe:/a:oracle:linux:xorg-x11-server-Xorg, p-cpe:/a:oracle:linux:xorg-x11-server-Xvfb, p-cpe:/a:oracle:linux:xorg-x11-server-Xwayland, p-cpe:/a:oracle:linux:xorg-x11-server-common, p-cpe:/a:oracle:linux:xorg-x11-server-devel, p-cpe:/a:oracle:linux:xorg-x11-server-source

必需的 KB 项: Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list, Host/local_checks_enabled

易利用性: No known exploits are available

补丁发布日期: 2021/5/25

漏洞发布日期: 2020/8/5

参考资料信息

CVE: CVE-2020-14344, CVE-2020-14345, CVE-2020-14346, CVE-2020-14347, CVE-2020-14360, CVE-2020-14361, CVE-2020-14362, CVE-2020-14363, CVE-2020-25712